#
#  File: horde.spec
#  $Horde: horde/packaging/redhat/horde.spec,v 1.10 2002/06/25 13:55:56 bjn Exp $
#
#  This is the SPEC file for the Horde Red Hat 7.x (RPM v4) RPMs/SRPM.
#

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd
%define phpini /etc/php.ini

Summary: The common Horde Framework for all Horde modules.
Name: horde
Version: 2.2.1
Release: 1es00
Copyright: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/horde/tarballs/horde-%{version}.tar.gz
#Source1: horde.conf
Vendor: The Horde Project
URL: http://www.horde.org/
Packager: SME Server Developers <smebugs@mitel.com>
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
Requires: php >= 4.1.0
Requires: apache >= 1.3.19
Prereq: /usr/bin/perl

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/horde.conf $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Apache horde.conf file
#%config %{apachedir}/conf/horde.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde
# Include top-level files by hand
%{contentdir}/html/horde/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/graphics
%{contentdir}/html/horde/lib
%{contentdir}/html/horde/locale
%{contentdir}/html/horde/po
%{contentdir}/html/horde/scripts
%{contentdir}/html/horde/templates
%{contentdir}/html/horde/util
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/COPYING
%doc %{contentdir}/html/horde/README
%docdir %{contentdir}/html/horde/docs
%{contentdir}/html/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/config/.htaccess
%{contentdir}/html/horde/config/*.dist
%config %{contentdir}/html/horde/config/*.php

%changelog
* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- 2.2.1-1es00
- Rebuild [gordonr 7694]

* Tue Feb 25 2003 Dan Brown <dan@familybrown.org>
- 2.2.1-1es
- Rebuilt with horde 2.2.1

* Mon Jul  1 2002 Dan Brown <dan@familybrown.org>
- 2.1 release 1es
- changed apache user and web root to comply with SME Server
- removed horde.conf file, as this information is in e-smith-horde RPM

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 3

* Mon Jun 24 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 2 (private beta)

* Thu Jun 13 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 1 (private beta)

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 2.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 2.0-RC4 release 1

* Sat Dec 15 2001 Brent J. Nordquist <bjn@horde.org>
- rewritten for Horde 2.0

* Wed Nov 14 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.7 release 1rh7

* Sat Jul 21 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.6 release 1rh7

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.4 release 1rh7

